/* DemoMouseListener: detect mouse clicks in designated Squares.
*/

import java.awt.event.*;
import java.applet.*;

public class DemoMouseListener implements java.awt.event.MouseListener {
	private DemoApplet applet;
	private int which;

/**
 * MouseClickListener: the constructor for this class.
 * @param applet DemoApplet -- the applet we're to notify of clicks.
 * @param which int -- the identity of the Square we listen to.
 */

public DemoMouseListener (DemoApplet applet, int which) {
	this.applet = applet;
	this.which = which;
}
/**
 * mouseClicked: notify the applet that this Square has been clicked.
 */

public void mouseClicked(MouseEvent e) {
	applet.clickSquare(which);
}
/**
 * This method is only here because the parent class has an abstract method.
 */
public void mouseEntered(MouseEvent e) {
}
/**
 * This method is only here because the parent class has an abstract method.
 */
public void mouseExited(MouseEvent e) {
}
/**
 * This method is only here because the parent class has an abstract method.
 */
public void mousePressed(MouseEvent e) {
}
/**
 * This method is only here because the parent class has an abstract method.
 */
public void mouseReleased(MouseEvent e) {
}
}
